푸시 토큰 관리 API Endpoints
🔔 최신화 일자: 2026-01-13
nachocode 푸시 토큰 관리 API를 활용하여 푸시 토큰을 관리 할 수 있습니다.
이 문서에서는 API 사용법, 요청/응답 형식, 에러 케이스 등을 다룹니다.
[DELETE] /api/push/v2/token
설명
- SDK의
registerPushToken()을 통해 토큰이 등록된 유저에 한하여, 해당 유저에게 매칭된 토큰을 모두 삭제합니다. - 유저 1명당 요청 건수를 차감합니다.
제한
요청 당 userId의 최대 개수는 100개입니다.
Request
-
Header
Parameter Type Required Description x-api-key string✔ API 키 x-secret-key string✔ Secret 키 -
Body
Parameter Type Required Constraints Description userIds (string | number)[]✔ 길이 100이하의 배열 토큰을 삭제할 유저 ID 배열 -
Example
curl -X DELETE "https://app.nachocode.io/api/push/v2/token" \-H "Content-Type: application/json" \-H "x-api-key: API_KEY_VALUE" \-H "x-secret-key: SECRET_KEY_VALUE" \-d '{"userIds": ["USER_ID_1", "USER_ID_2", "USER_ID_3", ...]}'
Response
-
Success Response
-
Property
Properties Type Description status numberHTTP 응답 상태 코드 (202) response DeleteTokenResult토큰삭제 성공, 등록 토큰 부재, 토큰삭제 실패 유저의 목록 -
Example
{"success": ["USER_ID_1", "USER_ID_2", "USER_ID_3"],"tokenNotFound": ["USER_ID_5", "USER_ID_6"],"failed": ["USER_ID_4"]}
-
-
Error Response
-
Property
Parameter Type Description statusCode number상태 코드 path string요청 경로 code string에러 코드 message string에러 메세지 -
Example
{"statusCode": 400,"path": "/api/push/v2/token","code": "ERR-AB-VAL-00","message": "Incorrect request. Server cannot understand request."}
-